function draw_functions(f,c,n_row)

  % Displays several functions on different subfigures of the same
  % figure

  % Inputs :
  % f : array of functions ; each function to be displayed is a row
  % c : color of the graph (default blue)
  % n_row : number of rows on the figure (default 4)

  if (nargin<2)
     c = 'b' ;
  end
  if (nargin<3)
    n_row = 4 ;
  end

  % numbers of rows and columns on the figure
  n = size(f,1) ;
  n_col = ceil(n/n_row) ;
  n_row = ceil(n/n_col) ;

  % plot
  for k=1:n
    subplot(n_row,n_col,k) ; hold on ;
    to_draw = real(f(k,:)) ;
    plot(to_draw,c) ;
    axis tight ;
  end
