function i_min = estimate_ind(psi_low)

  % determines the approximate frequency support of psi_low
	
  % Input
  % psi_low: wavelet (in Fourier)

  % Output
  % i_min: index above which the wavelet is approximately negligible
  %        ('negligible' means: smaller in absolute value than 0.01 times
  %         the maximal value)

  N = size(psi_low,2) ;

  max_psi = max(abs(psi_low)) ;
  inds = find(abs(psi_low)>0.01*max_psi) ;
  i_min = min(max(inds),N/2+1) ;
