function p = poly_mat(r)

  % Input
  % r: array of numbers

  % Outpur
  % p: each line p(k,:) is the set of coefficients of the polynomial
  %    function whose roots are the elements of r(k,:) (with dominating
  %    coefficient 1)

  n = max(1,size(r,1)) ;

  p = ones(n,1) ;
  for k=1:size(r,2)
    p = [zeros(n,1),p] - [bsxfun(@times,p,r(:,k)),zeros(n,1)] ;
  end
